10seconds_install: Updated to 64 bit GnuPG IDs.

This commit is contained in:
Ole Tange 2023-02-23 00:09:14 +01:00
parent 9b225e2efd
commit d53a4b044c
13 changed files with 37 additions and 40 deletions

View file

@ -42,14 +42,14 @@ run() {
(fetch -o /dev/null file:///bin/sh && echo fetch -o -) ||
(curl -h >/dev/null && echo curl -L) ||
(wget -h >/dev/null && echo wget -qO -) ||
echo 'No lynx, wget, curl, fetch: Please inform parallel@gnu.org what you use for downloading URLs' >&2
echo 'No lynx, wget, curl, fetch: Please inform parallel@gnu.org what you use for downloading URLs' >&2
)
if test "$get" = ""; then
exit 1
fi
if ! perl -e 1; then
echo No perl installed. GNU Parallel depends on perl. Install perl and retry.
echo No perl installed. GNU Parallel depends on perl. Install perl and retry.
exit 1
fi
@ -69,31 +69,30 @@ run() {
# GnuPG installed
# Setup .gnupg/gpg.conf if not already done
echo | gpg 2>/dev/null >/dev/null
if gpg --list-keys 0xFFFFFFF1 && gpg --list-keys 0x88888888 ; then
if gpg --list-keys 0x2C6229E2FFFFFFF1 && gpg --list-keys 0xD1AB451688888888 ; then
echo Keys fetched
# OK
return 0
return 0
else
keyservers="keyserver.ubuntu.com
pgp.surf.nl
keyserver.bazon.ru
agora.cenditel.gob.ve
keys.openpgp.org
pgp.benny-baumann.de"
for keyserver in $keyservers ; do
if gpg --keyserver "$keyserver" --recv-key 0xFFFFFFF1 &&
gpg --keyserver "$keyserver" --recv-key 0x88888888 ; then
if gpg --keyserver "$keyserver" --recv-key 0x2C6229E2FFFFFFF1 &&
gpg --keyserver "$keyserver" --recv-key 0xD1AB451688888888 ; then
# OK
return 0
fi
done
echo
echo "Cannot fetch keyID 0x88888888, so the signature cannot be checked."
echo
echo "Cannot fetch keyID 0xD1AB451688888888, so the signature cannot be checked."
return 1
fi
else
# GnuPG not installed
# GnuPG not installed
echo
echo "GnuPG (gpg) is not installed so the signature cannot be checked."
echo "GnuPG (gpg) is not installed so the signature cannot be checked."
return 1
fi
}
@ -103,13 +102,13 @@ run() {
if gpg --with-fingerprint "$latest".tar.bz2.sig 2>&1 |
perl -e 'exit not grep /^Primary key fingerprint: BE9C B493 81DE 3166 A3BC..66C1 2C62 29E2 FFFF FFF1|^Primary key fingerprint: CDA0 1A42 08C4 F745 0610..7E7B D1AB 4516 8888 8888/, <>'; then
# Source code signed by Ole Tange <ole@tange.dk>
# KeyID FFFFFFF1/88888888
# KeyID 0x2C6229E2FFFFFFF1/0xD1AB451688888888
true
else
# GnuPG signature failed
echo
echo "The signature on $latest.tar.bz2 is wrong. This may indicate that a criminal has changed the code."
echo "THIS IS BAD AND THE CODE WILL NOT BE INSTALLED."
echo "THIS IS BAD AND THE CODE WILL NOT BE INSTALLED."
echo
echo "See http://git.savannah.gnu.org/cgit/parallel.git/tree/README for other installation methods."
exit 1
@ -121,7 +120,7 @@ run() {
echo "Continue anyway? (y/n)"
read YN </dev/tty
if test "$YN" = "n"; then
# Stop
# Stop
exit 2
else
# Continue
@ -147,12 +146,12 @@ run() {
fi
# Is $HOME/bin already in $PATH?
if echo "$PATH" | grep "$HOME"/bin >/dev/null; then
# $HOME/bin is already in $PATH
if echo "$PATH" | grep "$HOME"/bin >/dev/null; then
# $HOME/bin is already in $PATH
true
else
# Add $HOME/bin to $PATH for both bash and csh
echo 'PATH=$PATH:$HOME/bin' >> "$HOME"/.bashrc
echo 'PATH=$PATH:$HOME/bin' >> "$HOME"/.bashrc
echo 'setenv PATH ${PATH}:${HOME}/bin' >> "$HOME"/.cshrc
fi

View file

@ -262,29 +262,27 @@ from:tange@gnu.org
to:parallel@gnu.org, bug-parallel@gnu.org
stable-bcc: Jesse Alama <jessealama@fastmail.fm>
Subject: GNU Parallel 20230222 ('(Turkey/Syria/Gaziantep)Balloon/Paludan/Leopard/Peru<<>>') released
Subject: GNU Parallel 20230222 ('Gaziantep') released
GNU Parallel 20230222 ('<<>>') has been released. It is available for download at: lbry://@GnuParallel:4
GNU Parallel 20230222 ('Gaziantep') has been released. It is available for download at: lbry://@GnuParallel:4
Quote of the month:
<<>>
Praise GNU parallel, though. That gets me pretty far.
-- Your Obed. Servant, J. B. @Jeffinatorator
New in this release:
<<>>
* parsort: --parallel now does closer to what you expect.
* Bug fixes and man page updates.
* parallel: --files0 is --files but \0 separated.
* Bug fixes and man page updates.
News about GNU Parallel:
https://www.redhat.com/sysadmin/perl-scripts
* 5 great Perl scripts to keep in your sysadmin toolbox https://www.redhat.com/sysadmin/perl-scripts
https://bioinformaticsworkbook.org/Appendix/GNUparallel/GNU_parallel_examples.html#gsc.tab=0
<<>>
GNU Parallel - For people who live life in the parallel lane.

View file

@ -393,7 +393,7 @@ _parset_main() {
fi
if [ "$_parset_NAME" = "--version" ] ; then
# shellcheck disable=SC2006
echo "parset 20230222 (GNU parallel `parallel --minversion 1`)"
echo "parset 20230223 (GNU parallel `parallel --minversion 1`)"
echo "Copyright (C) 2007-2023 Ole Tange, http://ole.tange.dk and Free Software"
echo "Foundation, Inc."
echo "License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>"

View file

@ -395,7 +395,7 @@ _parset_main() {
fi
if [ "$_parset_NAME" = "--version" ] ; then
# shellcheck disable=SC2006
echo "parset 20230222 (GNU parallel `parallel --minversion 1`)"
echo "parset 20230223 (GNU parallel `parallel --minversion 1`)"
echo "Copyright (C) 2007-2023 Ole Tange, http://ole.tange.dk and Free Software"
echo "Foundation, Inc."
echo "License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>"

View file

@ -393,7 +393,7 @@ _parset_main() {
fi
if [ "$_parset_NAME" = "--version" ] ; then
# shellcheck disable=SC2006
echo "parset 20230222 (GNU parallel `parallel --minversion 1`)"
echo "parset 20230223 (GNU parallel `parallel --minversion 1`)"
echo "Copyright (C) 2007-2023 Ole Tange, http://ole.tange.dk and Free Software"
echo "Foundation, Inc."
echo "License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>"

View file

@ -376,7 +376,7 @@ _parset_main() {
fi
if [ "$_parset_NAME" = "--version" ] ; then
# shellcheck disable=SC2006
echo "parset 20230222 (GNU parallel `parallel --minversion 1`)"
echo "parset 20230223 (GNU parallel `parallel --minversion 1`)"
echo "Copyright (C) 2007-2023 Ole Tange, http://ole.tange.dk and Free Software"
echo "Foundation, Inc."
echo "License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>"

View file

@ -378,7 +378,7 @@ _parset_main() {
fi
if [ "$_parset_NAME" = "--version" ] ; then
# shellcheck disable=SC2006
echo "parset 20230222 (GNU parallel `parallel --minversion 1`)"
echo "parset 20230223 (GNU parallel `parallel --minversion 1`)"
echo "Copyright (C) 2007-2023 Ole Tange, http://ole.tange.dk and Free Software"
echo "Foundation, Inc."
echo "License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>"

View file

@ -393,7 +393,7 @@ _parset_main() {
fi
if [ "$_parset_NAME" = "--version" ] ; then
# shellcheck disable=SC2006
echo "parset 20230222 (GNU parallel `parallel --minversion 1`)"
echo "parset 20230223 (GNU parallel `parallel --minversion 1`)"
echo "Copyright (C) 2007-2023 Ole Tange, http://ole.tange.dk and Free Software"
echo "Foundation, Inc."
echo "License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>"

View file

@ -368,7 +368,7 @@ _parset_main() {
fi
if [ "$_parset_NAME" = "--version" ] ; then
# shellcheck disable=SC2006
echo "parset 20230222 (GNU parallel `parallel --minversion 1`)"
echo "parset 20230223 (GNU parallel `parallel --minversion 1`)"
echo "Copyright (C) 2007-2023 Ole Tange, http://ole.tange.dk and Free Software"
echo "Foundation, Inc."
echo "License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>"

View file

@ -26,7 +26,7 @@
use strict;
use Getopt::Long;
$Global::progname="niceload";
$Global::version = 20230222;
$Global::version = 20230223;
Getopt::Long::Configure("bundling","require_order");
get_options_from_array(\@ARGV) || die_usage();
if($opt::version) {

View file

@ -2752,7 +2752,7 @@ sub check_invalid_option_combinations() {
sub init_globals() {
# Defaults:
$Global::version = 20230222;
$Global::version = 20230223;
$Global::progname = 'parallel';
$::name = "GNU Parallel";
$Global::infinity = 2**31;

View file

@ -137,7 +137,7 @@ GetOptions(
"help" => \$opt::dummy,
) || exit(255);
$Global::progname = ($0 =~ m:(^|/)([^/]+)$:)[1];
$Global::version = 20230222;
$Global::version = 20230223;
if($opt::version) { version(); exit 0; }
# Remove -D and --parallel=N
my @s = (grep { ! /^-D$|^--parallel=\S+$/ }

View file

@ -670,7 +670,7 @@ $Global::Initfile && unlink $Global::Initfile;
exit ($err);
sub parse_options {
$Global::version = 20230222;
$Global::version = 20230223;
$Global::progname = 'sql';
# This must be done first as this may exec myself